Bug 820272

Summary: JBossAS 7 plugin unable to discover running JDG instances
Product: [Other] RHQ Project Reporter: Martin Gencur <mgencur>
Component: PluginsAssignee: Heiko W. Rupp <hrupp>
Status: CLOSED CURRENTRELEASE QA Contact: Mike Foley <mfoley>
Severity: high Docs Contact:
Priority: urgent    
Version: 4.4CC: ccrouch, hrupp, lzoubek
Target Milestone: ---   
Target Release: JON 3.1.0   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 820435 (view as bug list) Environment:
Last Closed: 2013-09-03 11:07:06 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 707223, 820435    

Description Martin Gencur 2012-05-09 09:54:25 EDT
Description of problem:

The plugin is not able to auto-discover running JBoss Data Grid servers.

The problem is in class org.rhq.modules.plugins.jbossas7.JBossProductType, method determineJBossProductTypeViaProductConfFile:

slot.equals("edg") -> slot.equals("jdg")   ...JDG's product.conf file contains slot=jdg

method determineJBossProductTypeViaHomeDirName:

homeDirName.contains("-jdg-")  ...the server dir for JDG usually has "jboss-datagrid-server" in its name followed by version
Comment 1 Heiko W. Rupp 2012-05-09 15:31:31 EDT
There are two parts of this:

- wrong detection of product and directory

master b8459c0d57e

- jdg server does not by default expose a http management port -> RHQ can not connect to it.

[21:29:26] <asantos> pilhuhn, that will be included in er8
Comment 2 Charles Crouch 2012-05-09 18:31:44 EDT
This change should be pushed to release/jon3.1.x prior to going ON_QA. Bug 820435 is tracking the fix in master and is already ON_QA
Comment 3 Heiko W. Rupp 2012-05-10 04:06:05 EDT
With JDG er8 discovery works as expected

snert:/im/rhq/modules/enterprise/agent/target/rhq-agent hrupp$ bin/standalone.sh 
Listening for transport dt_socket at address: 8788

Starting the plugin container.
Loading plugins
...Loaded plugin: JBossAS7
...Loaded plugin: Platforms

Ready.
[0]:0 > disc s
Discovery took: 1365ms
[Resource[id=-3, uuid=fd425fbd-cfb9-4031-aaba-dbb669163e61, type={JBossAS7}JBossAS7 Standalone Server, key=/devel/jboss-datagrid-server-6.0.0.ER8/standalone, name=JDG (127.0.0.1:9990), parent=dhcp-0-204.str.redhat.com, version=JDG 6.0.0.ER8]]
[1]:0 > set id -3
[2]:-3 > avail .     
JDG (127.0.0.1:9990)( -3 ):DOWN
[3]:-3 > invoke installRhqUser user=rhqadmin||password=rhqadmin
[PropertySimple[id=0, name=operationResult, value=Management user [rhqadmin] added., override=null]]
[4]:-3 > avail .
JDG (127.0.0.1:9990)( -3 ):UP
Comment 4 Heiko W. Rupp 2012-05-10 07:38:49 EDT
release branch cc89a1666a69b
Comment 5 Libor Zoubek 2012-05-28 10:38:19 EDT
verified on JON 3.1.ER6 + JDG ER.10
Comment 6 Heiko W. Rupp 2013-09-03 11:07:06 EDT
Bulk closing of old issues in VERIFIED state.